petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecGetDM

Gets the DM defining the data layout of the vector

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode VecGetDM(Vec v, DM *dm)

Not collective

### Input Parameter

v - The Vec

### Output Parameter

dm - The DM

### See Also

VecSetDM(), DMGetLocalVector(), DMGetGlobalVector(), DMSetVecType()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages